<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/PortOnePin.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('PortOnePin_8hpp_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">PortOnePin.hpp</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#ifndef __PortOnePin_H__</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#define __PortOnePin_H__</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;Port.hpp&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno"><a class="line" href="classPortOnePin.html">   10</a></span>&#160;<span class="keyword">class </span><a class="code" href="classPortOnePin.html">PortOnePin</a> : <span class="keyword">public</span> <a class="code" href="classPort.html">Port</a></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;{</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;    <span class="keyword">protected</span>:</div><div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="classPortOnePin.html#ab5bab4a733179da85a47df62bc140825">   17</a></span>&#160;        <span class="keywordtype">int</span> <a class="code" href="classPortOnePin.html#ab5bab4a733179da85a47df62bc140825">pin</a>;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;        <a class="code" href="classPortOnePin.html#aa71aaae9344e82625ddb6226cbf28891">PortOnePin</a>();</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;                              </div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classPort.html#a110847fdec661d0e94a3a22edd9fe32a">begin</a>(<span class="keywordtype">int</span> inPin, PIN_TYPE inType);</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;        </div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;        <span class="keywordtype">int</span> <a class="code" href="classPortOnePin.html#a58109bb13f5fe5d3e0d56a394790e43d">SetSpeed</a>(<span class="keywordtype">int</span> inSpeed);</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="classPortOnePin.html#aa2933eadf631e6091bafc39bc2733bf1">   39</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">bool</span> <a class="code" href="classPortOnePin.html#aa2933eadf631e6091bafc39bc2733bf1">IsActive</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> this-&gt;pin &gt; -1; }</div><div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="classPortOnePin.html#a660618a8388b268f4d91c6fd8ba78825">   43</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">int</span> <a class="code" href="classPortOnePin.html#a660618a8388b268f4d91c6fd8ba78825">GetPin</a>()<span class="keyword"> const </span>{ <span class="keywordflow">if</span> (this-&gt;<a class="code" href="classPort.html#ad7ef0d65cab5721a7e2d9b2a71663eef">pinType</a> &lt; ANALOG) <span class="keywordflow">return</span> GPIO_to_Arduino_pin((GPIO_pin_t)this-&gt;pin); <span class="keywordflow">return</span> this-&gt;<a class="code" href="classPortOnePin.html#ab5bab4a733179da85a47df62bc140825">pin</a>;  }</div><div class="line"><a name="l00047"></a><span class="lineno"><a class="line" href="classPortOnePin.html#ac126e88eaa5befe8d292533583d7df6d">   47</a></span>&#160;        <span class="keyword">inline</span> GPIO_pin_t <a class="code" href="classPortOnePin.html#ac126e88eaa5befe8d292533583d7df6d">GetDIOPin</a>()<span class="keyword"> const </span>{ <span class="keywordflow">if</span> (this-&gt;<a class="code" href="classPort.html#ad7ef0d65cab5721a7e2d9b2a71663eef">pinType</a> &gt;= ANALOG) <span class="keywordflow">return</span> (GPIO_pin_t)this-&gt;<a class="code" href="classPortOnePin.html#ab5bab4a733179da85a47df62bc140825">pin</a>; <span class="keywordflow">return</span> DP_INVALID; }</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;        </div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classPortOnePin.html#ab06a6c175990e9c7cda63a73e28b441c">MoveLeftDir</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDuration = 0);</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classPortOnePin.html#a64d26c764c94963047e1b2373ba3c130">MoveRightDir</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDuration = 0);</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classPortOnePin.html#a774a82cb1e3efa521297bdffa9b5ed7b">MoveStop</a>();</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;<span class="preprocessor">#ifdef ACCESSORIES_PRINT_ACCESSORIES</span></div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;        <span class="keywordtype">void</span> printPort();</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;};</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="ttc" id="classPortOnePin_html_a774a82cb1e3efa521297bdffa9b5ed7b"><div class="ttname"><a href="classPortOnePin.html#a774a82cb1e3efa521297bdffa9b5ed7b">PortOnePin::MoveStop</a></div><div class="ttdeci">void MoveStop()</div><div class="ttdef"><b>Definition:</b> <a href="PortOnePin_8cpp_source.html#l00073">PortOnePin.cpp:73</a></div></div>
<div class="ttc" id="classPortOnePin_html_a64d26c764c94963047e1b2373ba3c130"><div class="ttname"><a href="classPortOnePin.html#a64d26c764c94963047e1b2373ba3c130">PortOnePin::MoveRightDir</a></div><div class="ttdeci">void MoveRightDir(unsigned long inDuration = 0)</div><div class="ttdef"><b>Definition:</b> <a href="PortOnePin_8cpp_source.html#l00054">PortOnePin.cpp:54</a></div></div>
<div class="ttc" id="classPortOnePin_html_ab06a6c175990e9c7cda63a73e28b441c"><div class="ttname"><a href="classPortOnePin.html#ab06a6c175990e9c7cda63a73e28b441c">PortOnePin::MoveLeftDir</a></div><div class="ttdeci">void MoveLeftDir(unsigned long inDuration = 0)</div><div class="ttdef"><b>Definition:</b> <a href="PortOnePin_8cpp_source.html#l00035">PortOnePin.cpp:35</a></div></div>
<div class="ttc" id="classPortOnePin_html_ac126e88eaa5befe8d292533583d7df6d"><div class="ttname"><a href="classPortOnePin.html#ac126e88eaa5befe8d292533583d7df6d">PortOnePin::GetDIOPin</a></div><div class="ttdeci">GPIO_pin_t GetDIOPin() const </div><div class="ttdef"><b>Definition:</b> <a href="PortOnePin_8hpp_source.html#l00047">PortOnePin.hpp:47</a></div></div>
<div class="ttc" id="classPort_html_ad7ef0d65cab5721a7e2d9b2a71663eef"><div class="ttname"><a href="classPort.html#ad7ef0d65cab5721a7e2d9b2a71663eef">Port::pinType</a></div><div class="ttdeci">PIN_TYPE pinType</div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00065">Port.hpp:65</a></div></div>
<div class="ttc" id="classPortOnePin_html_a660618a8388b268f4d91c6fd8ba78825"><div class="ttname"><a href="classPortOnePin.html#a660618a8388b268f4d91c6fd8ba78825">PortOnePin::GetPin</a></div><div class="ttdeci">int GetPin() const </div><div class="ttdef"><b>Definition:</b> <a href="PortOnePin_8hpp_source.html#l00043">PortOnePin.hpp:43</a></div></div>
<div class="ttc" id="classPortOnePin_html_aa2933eadf631e6091bafc39bc2733bf1"><div class="ttname"><a href="classPortOnePin.html#aa2933eadf631e6091bafc39bc2733bf1">PortOnePin::IsActive</a></div><div class="ttdeci">bool IsActive() const </div><div class="ttdef"><b>Definition:</b> <a href="PortOnePin_8hpp_source.html#l00039">PortOnePin.hpp:39</a></div></div>
<div class="ttc" id="classPortOnePin_html_a58109bb13f5fe5d3e0d56a394790e43d"><div class="ttname"><a href="classPortOnePin.html#a58109bb13f5fe5d3e0d56a394790e43d">PortOnePin::SetSpeed</a></div><div class="ttdeci">int SetSpeed(int inSpeed)</div><div class="ttdef"><b>Definition:</b> <a href="PortOnePin_8cpp_source.html#l00022">PortOnePin.cpp:22</a></div></div>
<div class="ttc" id="classPort_html_a110847fdec661d0e94a3a22edd9fe32a"><div class="ttname"><a href="classPort.html#a110847fdec661d0e94a3a22edd9fe32a">Port::begin</a></div><div class="ttdeci">virtual void begin()</div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00099">Port.hpp:99</a></div></div>
<div class="ttc" id="classPortOnePin_html_aa71aaae9344e82625ddb6226cbf28891"><div class="ttname"><a href="classPortOnePin.html#aa71aaae9344e82625ddb6226cbf28891">PortOnePin::PortOnePin</a></div><div class="ttdeci">PortOnePin()</div><div class="ttdef"><b>Definition:</b> <a href="PortOnePin_8cpp_source.html#l00011">PortOnePin.cpp:11</a></div></div>
<div class="ttc" id="classPortOnePin_html_ab5bab4a733179da85a47df62bc140825"><div class="ttname"><a href="classPortOnePin.html#ab5bab4a733179da85a47df62bc140825">PortOnePin::pin</a></div><div class="ttdeci">int pin</div><div class="ttdef"><b>Definition:</b> <a href="PortOnePin_8hpp_source.html#l00017">PortOnePin.hpp:17</a></div></div>
<div class="ttc" id="classPort_html"><div class="ttname"><a href="classPort.html">Port</a></div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00061">Port.hpp:61</a></div></div>
<div class="ttc" id="classPortOnePin_html"><div class="ttname"><a href="classPortOnePin.html">PortOnePin</a></div><div class="ttdef"><b>Definition:</b> <a href="PortOnePin_8hpp_source.html#l00010">PortOnePin.hpp:10</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><b>PortOnePin.hpp</b></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
